/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." *
   
h1{
  color: #F3D1FC;
  }
  /* Background Colour */
.linear-gradient {
background   : linear-gradient(300deg, rgba(98, 15, 118) 10%, rgba(0,0,0,0) 49%, rgba(204, 108, 231) 100%);
border-radius: 10px;
box-shadow   : 2px 2px 7px #DE87DF;
}


/* Text colour */
--text-color        : #D0B5F5
--sidebar-text-color: #E5CFFF
--link-color        : #C1ACF1
--link-color-hover  : #E5CFFF

/* Text */

p{
  text-shadow: 2px 2px 5px #4D44DB;
    .pixelify-sans-<uniquifier> {
  font-family        : "Pixelify Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight        : <weight>;
  font-style         : normal;}
}
h1{
text-shadow: 2px 2px 5px #DE87DF;
.jacquard-12-regular {
  font-family: "Jacquard 12", system-ui;
  font-weight: 400;
  font-style : normal;
}
}

 h2{
    text-shadow: 2px 2px 5px #4D44DB;
   font-family: "Doto", sans-serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
  font-variation-settings:
    "ROND" 0;
  color:  #FACDFA;
    }

    

/* Other Stuff */

/* HEADER */
/* -------------------------------------------------------- */
header {
grid-area    : header;
font-size    : 1.2em;
border       : var(--border);
border-radius: var(--round-borders);
background   : var(--content-background-color);
height       : auto;
max-width    :100%
}
.header-content {
  padding: var(--padding);
}
.header-title {
  font-size  : xx-large;
  font-weight: bold;
  float      : left;
  width: 100%
}
 
.header-img{
  width        : 300px;
  height       : 200px;
  float        : right;
  clip-path    : circle(40%);
  shape-outside: circle(45%);
  }
 
header {
    background-color: #080825;
    color           : white;
    padding         : 20px;
    display         : flex;
    justify-content : space-between;
    align-items     : center;
    background      : linear-gradient(300deg, rgba(18, 19, 60, 1) 10%, rgba(0,0,0,0) 49%, rgba(66,33,144) 100%);
    border-radius   : 5px;
    box-shadow      : 2px 2px 7px #DE87DF;
    outline-style   : solid;
    outline-color   : #DE87DF;
    outline-width   : 1px
}
 
 

nav ul {
    list-style-type: none;
    margin         : 0;
    padding-top    : 18px;
    top            : 0;
    overflow-wrap  : break-word;
    display: flex;
}
 
nav ul li {
    margin-left: 20px;
}
 
nav ul li a {
    color          : #E5CFFF;
    text-decoration: none;
}
 
nav ul li a    :hover {
text-decoration: underline;
}




/* LAYOUT */


/* -------------------------------------------------------- */
/* MAIN */
/* -------------------------------------------------------- */

div.flex-container {
  display: flex;
  flex-direction: row;
  max-width    :100%
  }
  
div.flex-container > div {
  margin: 10px; 
  }
 
  
  
    
   .left {
     background    : linear-gradient(300deg, rgba(18, 19, 60, 1) 10%, rgba(0,0,0,0) 49%, rgba(66,33,144) 100%);
    border-radius : 5px;
    box-shadow    : 2px 2px 7px #DE87DF;
    outline-style : solid;
    outline-color : #DE87DF;
    outline-width : 1px;
    width         : 100%;
    text-align    : center;
     }
     
     .Chat-title{
    background   : linear-gradient(300deg, rgba(18, 19, 60, 1) 10%, rgba(0,0,0,0) 49%, rgba(66,33,144) 100%);
    border-radius: 5px;
    outline-style: solid;
    outline-color: #E5CFFF;
    outline-width: 1px;
    float        : none;
    width        : 100%;
    text-align   : center;
    position     : static;
       }
       
       .Chat-content {
    background   : linear-gradient(300deg, rgba(18, 19, 60, 1) 10%, rgba(0,0,0,0) 49%, rgba(66,33,144) 100%);
    border-radius: 5px;
    outline-style: solid;
    outline-color: #E5CFFF;
    outline-width: 1px;
    width        : 100%;
    text-align   : center;
    position     : static;
    overflow     : auto;
         }
     
         
    textarea {
    background       : #C1ACF1;
    border-radius    : 5px;
    outline-style    : solid;
    outline-color    : #E5CFFF;
    outline-width    : 1px;
    font-family        : "Pixelify Sans", sans-serif;
    font-style         : normal;
    color: #12133C;
    overflow: auto;
    }
    
    .txtarea .btn{
      background       : #12133C;
    border-radius    : 5px;
    outline-style    : solid;
    outline-color    : #E5CFFF ;
    outline-width    : 1px;
    font-family: "Jacquard 12", system-ui;
    font-weight: 400;
    font-style : normal;
    color: #FACDFA
      }
      
    .center {
        background    : linear-gradient(300deg, rgba(18, 19, 60, 1) 10%, rgba(0,0,0,0) 49%, rgba(66,33,144) 100%);
    border-radius : 5px;
    box-shadow    : 2px 2px 7px #DE87DF;
    outline-style : solid;
    outline-color : #DE87DF;
    outline-width : 1px;
    max-width         : 100%;
    text-align    : center;
     }
     
     .intro-stuff{
       padding: 10px 30px 10px; 
       }
       
.main-img{
  width        : 300px;
  height       : 200px;
  float        : center;
  clip-path    : circle(40%);
  shape-outside: circle(45%);
  }


    .right {
    background    : linear-gradient(300deg, rgba(18, 19, 60, 1) 10%, rgba(0,0,0,0) 49%, rgba(66,33,144) 100%);
    border-radius : 5px;
    box-shadow    : 2px 2px 7px #DE87DF;
    outline-style : solid;
    outline-color : #DE87DF;
    outline-width : 1px;
    width         : 100%;
    text-align    : center;
    overflow: auto;
     }
     
     .right-content{
       padding: 10px 50px 10px;
       }



    .farright {
    background    : linear-gradient(300deg, rgba(18, 19, 60, 1) 10%, rgba(0,0,0,0) 49%, rgba(66,33,144) 100%);
    border-radius : 5px;
    box-shadow    : 2px 2px 7px #DE87DF;
    outline-style : solid;
    outline-color : #DE87DF;
    outline-width : 1px;
    width         : 100%;
    text-align    : center;
    overflow: auto;
     }
     
     .farright-content{
       padding: 10px 50px 10px;
       }


  
 /* -------------------------------------------------------- */
/* FOOTER */
/* -------------------------------------------------------- */

.
footer {
  grid-area : footer;
  font-size : 1.2em;
  background: var(--content-background-color);
  text-align: center;
  padding   : 8px;
}

 
footer {
    background-color: #080825;
    color           : white;
    padding         : 20px;
    display         : flex;
    justify-content : space-between;
    align-items     : center;
    background      : linear-gradient(300deg, rgba(18, 19, 60, 1) 10%, rgba(0,0,0,0) 49%, rgba(66,33,144) 100%);
    border-radius   : 5px;
    box-shadow      : 2px 2px 7px #DE87DF;
    outline-style   : solid;
    outline-color   : #DE87DF;
    outline-width   : 1px
}
 

  /* -------------------------------------------------------- */
/* ACCESSIBILITY */
/* -------------------------------------------------------- */

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
  .header{ 
    max-width:600px;
    height: auto
  }
  .left .right{
   max-width:600px;
   height:auto
  }
  .center{
   max-width:600px;
   height:auto
  }
  .textarea{
    max-width: inherit
    }
  .footer{
    max-width:600px;
  }
  }

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    .header{ 
    min-width:600px;
    height: auto
  }
  .left .right{
   max-width:600px;
   height:auto
  }
  .center{
   max-width:600px;
   height:auto
  }
  .textarea{
    max-width: inherit
    }
  .footer{
    min-width:600px;
  }
  }

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
   .header{ 
    min-width:768px;
    height: auto
  }
.left .right{
   max-width:600px;
   height:auto
  }
  .center{
   max-width:600px;
   height:auto
  }
  .textarea{
    max-width: inherit
    }
  .footer{
    min-width:768px;
  }
  }

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) { 
  .header{ 
    min-width:992px;
    height: auto
  }
  .left .right{
   max-width:600px;
   height:auto
  }
  .center{
   max-width:600px;
   height:auto
  }
  .textarea{
    max-width: inherit
    }
  .footer{
    min-width:992px;
  }}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
   .header{ 
    min-width:1200px;
    height: auto
  }
  .left .right{
   max-width:600px;
   height:auto
  }
  .center{
   max-width:600px;
   height:auto
  }
  .textarea{
    max-width: inherit
    }
  .footer{
    min-width:1200px;
  }
  }

#skip-to-content-link {
  position        : fixed;
  top             : 0;
  left            : 0;
  display         : inline-block;
  padding         : 0.375rem 0.75rem;
  line-height     : 1;
  font-size       : 1.25rem;
  background-color: var(--content-background-color);
  color           : var(--text-color);
  transform       : translateY(-3rem);
  transition      : transform 0.1s ease-in;
  z-index         : 99999999999;
}
#skip-to-content-link:focus,
#skip-to-content-link:focus-within {
  transform: translateY(0);
}
